## gphpedit 0.9.50

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize

GETTEXT_PACKAGE = gphpedit
PACKAGE = gphpedit
VERSION = 0.9.50

SHELL = /bin/sh


srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
libdir = ${exec_prefix}/lib
localedir = $(libdir)/locale
gnulocaledir = $(datadir)/locale
gettextsrcdir = $(datadir)/glib-2.0/gettext/po
subdir = po

INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = /usr/bin/gmsgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = 
POFILES = 
GMOFILES = 
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(GETTEXT_PACKAGE).pot \
$(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \

CATALOGS = 
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(srcdir)/$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(DESTDIR)$(gettextsrcdir)/po-Makefile.in.in

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(GETTEXT_PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(GETTEXT_PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  cp $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

.po: Makefile
	$(MAKE)  $(PACKAGE).pot;
	PATH=`pwd`/../src:$$PATH; \
	echo; printf "$*: "; \
	if $(MSGMERGE) $*; then \
	  rm -f $*.old.po; \
	  else \
	    echo "msgmerge for * failed!"; \
	    mv $*.old.po $*.po; \
	fi; \
	msgfmt --statistics $*.po; echo;


# POTFILES is created from POTFILES.in by stripping comments, empty lines
# and Intltool tags (enclosed in square brackets), and appending a full
# relative path to them
POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' 						\
		    -e "s/^\[.*\] +//" 					\
		    -e '/^[ 	]*$$/d' 				\
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in	\
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/gtkscintilla2/Makefile ===
# Makefile for the GtkScintilla2 widget

NAME = GtkScintilla2
LIB_NAME = gtkscintilla2
VERSION = 0.1.0
PREFIX = $(shell pkg-config --variable=prefix gtk+-2.0)

SCINTILLA_DIR = ./scintilla
SCINTILLA_INCLUDE = $(SCINTILLA_DIR)/include
SCINTILLA_LIB = $(SCINTILLA_DIR)/bin/scintilla.a
SCINTILLA_IFACE = $(SCINTILLA_INCLUDE)/Scintilla.iface
LEXERS = $(wildcard $(SCINTILLA_DIR)/gtk/Lex*.o)
CFLAGS = $(shell pkg-config --cflags gtk+-2.0) -g -Wall -DGTK -DSCI_LEXER
LDFLAGS_PRE = $(shell pkg-config --libs gtk+-2.0) -DGTK2
LDFLAGS_POST =  $(LEXERS)  $(SCINTILLA_LIB) -lstdc++

CC = gcc
LD = gcc
AR = ar

STATIC_LIB = lib$(LIB_NAME).a
SHARED_LIB = lib$(LIB_NAME).so.$(VERSION)

LIB_DIR = $(PREFIX)/lib
INCLUDE_DIR = $(PREFIX)/include/$(LIB_NAME)
PKG_CONFIG_DIR = $(PREFIX)/lib/pkgconfig

all: $(STATIC_LIB) $(SHARED_LIB)

$(STATIC_LIB): $(SCINTILLA_LIB) gtkscintilla.o marshal.o
	$(AR) -rs $@ $^

$(SHARED_LIB): $(SCINTILLA_LIB) gtkscintilla.o marshal.o
	$(LD)  $(LDFLAGS_PRE) gtkscintilla.o marshal.o -shared $(LDFLAGS_POST) -o $@

# GObject Signal Marshallers
marshal.o: marshal.c marshal.h
marshal.h: marshal.list
	glib-genmarshal --header --prefix="scintilla_marshal" marshal.list > $(@F)
marshal.c: marshal.h marshal.list
	glib-genmarshal --body --prefix="scintilla_marshal" marshal.list > $(@F)

gtkscintilla.o: gtkscintilla.h gtkscintilla.c marshal.c marshal.h

$(SCINTILLA_LIB):
	cd $(SCINTILLA_DIR)/gtk ; $(MAKE) GTK2=1

gtkscintilla.h gtkscintilla.c: scigen.py $(SCINTILLA_IFACE)
	python scigen.py

install: all
	install -D --mode=755 $(SHARED_LIB) $(DESTDIR)/$(LIB_DIR)/$(SHARED_LIB)
	install -D --mode=755 $(STATIC_LIB) $(DESTDIR)/$(LIB_DIR)/$(STATIC_LIB)
	rm -f $(DESTDIR)/$(LIB_DIR)lib$(LIB_NAME).so
	workdir=$$(pwd) ; cd $(DESTDIR)/$(LIB_DIR); \
	ln -s $(SHARED_LIB) lib$(LIB_NAME).so ; \
	cd $$workdir
	install -D --mode=644 gtkscintilla.h $(DESTDIR)/$(INCLUDE_DIR)/gtkscintilla.h
	install -D --mode=644 GtkScintilla-2.0.pc $(DESTDIR)/$(PKG_CONFIG_DIR)/GtkScintilla-2.0.pc

uninstall:
	rm -f $(DESTDIR)/$(LIB_DIR)$(SHARED_LIB)
	rm -f $(DESTDIR)/$(LIB_DIR)$(STATIC_LIB)
	rm -f $(DESTDIR)/$(LIB_DIR)/lib$(LIB_NAME).so
	rm -f $(DESTDIR)/$(INCLUDE_DIR)gtkscintilla.h

clean:
	rm -f *.o *.so *~ core $(SHARED_LIB) $(STATIC_LIB)
	rm -f $(SCINTILLA_DIR)/bin/scintilla.a
	cd $(SCINTILLA_DIR)/gtk ; $(MAKE) clean
#	rm -f *.c *.h

realclean: clean
	rm -f gtkscintilla.h gtkscintilla.c

dist: clean
	if test -d "$(NAME)-$(VERSION)"; then rm -rf $(NAME)-$(VERSION); fi
	if test -f "$(NAME)-$(VERSION).tar.gz"; then rm -f $(NAME)-$(VERSION).tar.gz; fi
	mkdir $(NAME)-$(VERSION)
	cp -r scintilla $(NAME)-$(VERSION)
	cp *.c $(NAME)-$(VERSION)
	cp *.h $(NAME)-$(VERSION)
	cp Makefile $(NAME)-$(VERSION)
	cp README $(NAME)-$(VERSION)
	cp COPYING $(NAME)-$(VERSION)
	cp GtkScintilla-2.0.pc $(NAME)-$(VERSION)
	cp GtkScintilla.spec $(NAME)-$(VERSION)
	cp scigen.py $(NAME)-$(VERSION)
	cp gtkscintilla.h.in $(NAME)-$(VERSION)
	cp gtkscintilla.c.in $(NAME)-$(VERSION)
	(GZIP=--best ; tar cvzf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION))
	rm -rf $(NAME)-$(VERSION)

## gphpedit 0.9.80

=== po/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 GETTEXT_PACKAGE = gphpedit
 PACKAGE = gphpedit
-VERSION = 0.9.50
+VERSION = 0.9.80
 
 SHELL = /bin/sh
 
@@ -33,7 +33,7 @@
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
 
-INSTALL = /bin/install -c
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs
 
@@ -42,8 +42,8 @@
 GMSGFMT = /usr/bin/gmsgfmt
 MSGFMT = /usr/bin/msgfmt
 XGETTEXT = /usr/bin/xgettext
-INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
+INTLTOOL_UPDATE = $(top_builddir)/intltool-update
+INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
 MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
 GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
 
@@ -62,6 +62,14 @@
 $(POFILES) $(GMOFILES) $(SOURCES)
 
 POTFILES = \
+	../src/find_replace.c \
+	../src/edit_template.c \
+	../src/main_window.c \
+	../src/main_window_callbacks.c \
+	../src/preferences.c \
+	../src/preferences_dialog.c \
+	../src/syntax_check.c \
+	../src/tab.c
 
 CATALOGS = 
 CATOBJEXT = .gmo

## gphpedit 0.9.91

=== src/gtkscintilla2/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SCINTILLA_LIB = $(SCINTILLA_DIR)/bin/scintilla.a
 SCINTILLA_IFACE = $(SCINTILLA_INCLUDE)/Scintilla.iface
 LEXERS = $(wildcard $(SCINTILLA_DIR)/gtk/Lex*.o)
-CFLAGS = $(shell pkg-config --cflags gtk+-2.0) -g -Wall -DGTK -DSCI_LEXER
+CFLAGS = $(shell pkg-config --cflags gtk+-2.0) -g -Wall -DGTK -DSCI_LEXER -fPIC
 LDFLAGS_PRE = $(shell pkg-config --libs gtk+-2.0) -DGTK2
 LDFLAGS_POST =  $(LEXERS)  $(SCINTILLA_LIB) -lstdc++

## gphpedit 0.9.97+20100226

=== src/gtkscintilla2/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 NAME = GtkScintilla2
 LIB_NAME = gtkscintilla2
-VERSION = 0.1.0
+VERSION = 0.2.0
 PREFIX = $(shell pkg-config --variable=prefix gtk+-2.0)
 
 SCINTILLA_DIR = ./scintilla

=== debian/changelog ===
gphpedit (0.9.97+20100226-1ubuntu1) natty; urgency=low

  * debian/control: Build-dep against libwebkitgtk-dev instead of
    libwebkit-dev
  * d/p/fix-ftbfs-as-needed.patch: Fix build failure with DSO link changes

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 30 Jan 2011 19:37:16 +0100

gphpedit (0.9.97+20100226-1) unstable; urgency=low

  * New upstream release (Closes: #303798, #304207, #509520, #340769, #395023)
    - Remove gtkhtml2 dependency, now uses webkit (Closes: #549029)
  * debian/control: 
    - Incorporate changes to the debian package by Rostagno Jose.
    - Change standards-version to 3.8.4, no changes needed.
    - Add VCS-* variables.

 -- Lior Kaplan <kaplan@debian.org>  Fri, 21 May 2010 15:17:52 +0300

gphpedit (0.9.91-5) unstable; urgency=low

  * Add patch from Ubuntu to prevent segfault when checking if an empty
    document is PHP.
  * bump Standards-Version to 3.7.3
    - Fix menu section according to the new policy.
    - Move homepage from description to a regular header.

 -- Lior Kaplan <kaplan@debian.org>  Fri, 28 Dec 2007 17:15:42 +0200

gphpedit (0.9.91-4) unstable; urgency=low

  * Apply patch by Martin Michlmayr to fix FTBFS with GCC 4.3 (Closes: #421215)

 -- Lior Kaplan <kaplan@debian.org>  Sat, 28 Apr 2007 01:43:47 +0300

gphpedit (0.9.91-3) unstable; urgency=low

  * Apply a patch to prevent gphpedit from crashing after searching &
    replacing. (Closes: #396325)

 -- Lior Kaplan <kaplan@debian.org>  Wed, 13 Dec 2006 20:25:24 +0200

gphpedit (0.9.91-2) unstable; urgency=low

  * Really add a watch file

 -- Lior Kaplan <kaplan@debian.org>  Wed, 30 Aug 2006 17:49:20 +0300

gphpedit (0.9.91-1) unstable; urgency=low

  * New upstream release
    - Fixes frequently crashes while working on amd64 (Closes: #357426)
    - Includes updated German translation by Holger Wansing.
  * Add a watch file to monitor future releases.

 -- Lior Kaplan <kaplan@debian.org>  Sat, 22 Jul 2006 15:03:16 +0300

gphpedit (0.9.80-3) unstable; urgency=low

  * Update debian/control and src/tab.c since phpdoc was renamed to php-doc
  * Change standards-version to 3.7.2, no changes needed.
  * Add php5-cli to suggests in order to have syntax check work

 -- Lior Kaplan <kaplan@debian.org>  Tue, 16 May 2006 00:45:38 -0500

gphpedit (0.9.80-2) unstable; urgency=low

  * loosened relations with phpdoc from recommends to suggests
  * Updated German Translation by Holger Wansing (Closes: #348904)
  * Removed absolute path from desktop file (as done in Ubuntu).

 -- Lior Kaplan <kaplan@debian.org>  Mon, 20 Mar 2006 23:06:36 +0200

gphpedit (0.9.80-1) unstable; urgency=low

  * New upstream release
    - Fixed files rendering incorrectly (Closes: #324574)
    - Fixed small issue highlighting parenthesis (Closes: #303798)
    - Fixed crashing on startup on amd64 (x86_64) (Closes: #315539)
    - Fixed indentation using spaces doesn't work correctly (Closes: #303793)
    - Fixed crash on searching through the PHP manual (Closes: #304207)
    - Fix position of Font change confirmation box (Closes: #324567, #308645)
  * Fix FSF address in debian/copyright
  * Change standards-version to 3.6.2, no changes needed.

 -- Lior Kaplan <webmaster@guides.co.il>  Wed, 19 Oct 2005 22:37:49 +0200

gphpedit (0.9.50-2) unstable; urgency=low

  * debian/control:
    - Add Shaul Karl <shaul@debian.org> to uploaders.
    - Fix package description. Closes: #301353
    - Add phpdoc to recommends.
  * Patch tab.c to search the php manual in the right location. Closes: #303790

 -- Lior Kaplan <webmaster@guides.co.il>  Sat,  9 Apr 2005 16:17:45 +0300

gphpedit (0.9.50-1) unstable; urgency=low

  * Initial Release. (Closes: #218868)
  * Minor manpage fixes by Ivo <I.F.A.C.Fokkema@lumc.nl> 
    and Andy Jeffries <andy@gphpedit.org>.

 -- Lior Kaplan <webmaster@guides.co.il>  Wed, 16 Feb 2005 23:46:58 +0200

=== debian/control ===
Source: gphpedit
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 5.0.0), gconf2, libgconf2-dev, libwebkitgtk-dev, libxml-parser-perl, intltool
Standards-Version: 3.8.4
Homepage: http://www.gphpedit.org/
Vcs-Git: git://github.com/anoopjohn/gphpedit.git
Vcs-Browser: http://github.com/anoopjohn/gphpedit

Package: gphpedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cli, php-doc
Description: development environment for PHP/HTML/CSS 
 gPHPEdit is a GNOME2 editor that is dedicated to editing 
 PHP files and other supporting files, like HTML/CSS. It 
 has support for drop-down function lists, hints showing 
 parameters, and syntax highlighting.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# githubredir.debian.net is a redirector for GitHub projects
# It can be used as following:
#http://githubredir.debian.net/github/anoopjohn/gphpedit (.*).tar.gz

## gphpedit 0.9.98

=== src/gtkscintilla2/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 NAME = GtkScintilla2
 LIB_NAME = gtkscintilla2
-VERSION = 0.2.0
+VERSION = 0.2.6
 PREFIX = $(shell pkg-config --variable=prefix gtk+-2.0)
 
 SCINTILLA_DIR = ./scintilla
@@ -14,6 +14,7 @@
 LDFLAGS_PRE = $(shell pkg-config --libs gtk+-2.0) -DGTK2
 LDFLAGS_POST =  $(LEXERS)  $(SCINTILLA_LIB) -lstdc++
 
+ARCH=-arch i386 
 CC = gcc
 LD = gcc
 AR = ar

=== debian/changelog ===
gphpedit (0.9.98-3) unstable; urgency=low

  [ Daniel T Chen ]
  * Added missing libs to link, fixing FTBFS (Closes: #713483)

 -- Lior Kaplan <kaplan@debian.org>  Mon, 01 Jul 2013 01:32:39 +0300

gphpedit (0.9.98-2) unstable; urgency=low

  * Update build dependency libwebkit-dev -> libwebkitgtk-dev (Closes: 635411)
  * Update debian/watch (Closes: #625881)

 -- Lior Kaplan <kaplan@debian.org>  Fri, 29 Jul 2011 23:38:55 +0200

gphpedit (0.9.98-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Apply patch to fix "FTBFS with ld --no-add-needed" (Closes: #611571)

 -- Lior Kaplan <kaplan@debian.org>  Fri, 06 May 2011 01:07:24 +0300

=== debian/control ===
Source: gphpedit
Section: gnome
Priority: optional
Maintainer: Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 5.0.0), libwebkitgtk-dev, libxml-parser-perl, intltool, autopoint, libtool
Standards-Version: 3.9.2
Homepage: http://www.gphpedit.org/
Vcs-Git: git://github.com/anoopjohn/gphpedit.git
Vcs-Browser: http://github.com/anoopjohn/gphpedit

Package: gphpedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cli, php-doc
Description: development environment for PHP/HTML/CSS 
 gPHPEdit is a GNOME editor that is dedicated to editing 
 PHP files and other supporting files, like HTML/CSS. It 
 has support for drop-down function lists, hints showing 
 parameters, and syntax highlighting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: autogen.sh
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh --prefix=/usr


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/gphpedit.sgml > gphpedit.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	find . -name *.a | xargs rm -f
	find . -name *.o | xargs rm -f

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean config.log intltool-extract intltool-merge intltool-update data/org.gphpedit.gschema.xml gphpedit.desktop

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gphpedit.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gphpedit


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_desktop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

# githubredir.debian.net is a redirector for GitHub projects
# It can be used as following:
http://githubredir.debian.net/github/anoopjohn/gphpedit/ (\d*).(\d*).(\d*).tar.gz
